Altibase.jdbc.driver

## Class AltibaseEmptyResultSet

- java.lang.Object
- - Altibase.jdbc.driver.WrapperAdapter
  - - Altibase.jdbc.driver.AbstractResultSet
    - - Altibase.jdbc.driver.AltibaseResultSet
      - - Altibase.jdbc.driver.AltibaseEmptyResultSet

All Implemented Interfaces:
  java.lang.AutoCloseable, java.sql.ResultSet, java.sql.Wrapper

    public class AltibaseEmptyResultSet
    extends AltibaseResultSet

### Field Summary

### Fields inherited from class Altibase.jdbc.driver.AltibaseResultSet

`mContext, mFetchSize, mStatement, mWarning`

### Fields inherited from interface java.sql.ResultSet

`CLOSE_CURSORS_AT_COMMIT, CONCUR_READ_ONLY, CONCUR_UPDATABLE, FETCH_FORWARD, FETCH_REVERSE, FETCH_UNKNOWN, HOLD_CURSORS_OVER_COMMIT, TYPE_FORWARD_ONLY, TYPE_SCROLL_INSENSITIVE, TYPE_SCROLL_SENSITIVE`

### Constructor Summary

Constructors
Constructor and Description
`AltibaseEmptyResultSet(AltibaseStatement aStatement, java.util.List aColumns, int aResultSetType, int aResultSetConcurrency)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `absolute(int row)`
`void` `afterLast()`
`void` `beforeFirst()`
`void` `cancelRowUpdates()`
`void` `deleteRow()`
`boolean` `first()`
`int` `getConcurrency()`
`int` `getRow()`
`protected java.util.List<Column>` `getTargetColumns()`
`int` `getType()`
`void` `insertRow()`
`boolean` `isAfterLast()`
`boolean` `isBeforeFirst()`
`boolean` `isFirst()`
`boolean` `isLast()`
`boolean` `last()`
`void` `moveToCurrentRow()`
`void` `moveToInsertRow()`
`boolean` `next()`
`boolean` `previous()`
`void` `refreshRow()`
`boolean` `relative(int aRows)`
`boolean` `rowDeleted()`
`protected RowHandle` `rowHandle()` Fetch한 데이타에 접근하기 위한 handle을 얻는다.
`boolean` `rowInserted()`
`boolean` `rowUpdated()`
`void` `updateAsciiStream(int columnIndex, java.io.InputStream x, long length)`
`void` `updateBigDecimal(int columnIndex, java.math.BigDecimal x)`
`void` `updateBinaryStream(int columnIndex, java.io.InputStream x, long length)`
`void` `updateBlob(int columnIndex, java.sql.Blob x)`
`void` `updateBlob(int aColumnIndex, java.io.InputStream aStream)`
`void` `updateBlob(int aColumnIndex, java.io.InputStream aStream, long aLength)`
`void` `updateBlob(java.lang.String aColumnName, java.io.InputStream aStream)`
`void` `updateBoolean(int columnIndex, boolean x)`
`void` `updateByte(int columnIndex, byte x)`
`void` `updateBytes(int columnIndex, byte[] x)`
`void` `updateCharacterStream(int columnIndex, java.io.Reader x, long length)`
`void` `updateClob(int columnIndex, java.sql.Clob x)`
`void` `updateClob(int aColumnIndex, java.io.Reader aReader, long aLength)`
`void` `updateDate(int columnIndex, java.sql.Date x)`
`void` `updateDouble(int columnIndex, double x)`
`void` `updateFloat(int columnIndex, float x)`
`void` `updateInt(int columnIndex, int x)`
`void` `updateLong(int columnIndex, long x)`
`void` `updateNString(int aColumnIndex, java.lang.String aValue)`
`void` `updateNull(int columnIndex)`
`void` `updateObject(int columnIndex, java.lang.Object x)`
`void` `updateObject(int columnIndex, java.lang.Object x, int scale)`
`void` `updateRow()`
`void` `updateShort(int columnIndex, short x)`
`void` `updateString(int columnIndex, java.lang.String x)`
`void` `updateTime(int columnIndex, java.sql.Time x)`
`void` `updateTimestamp(int columnIndex, java.sql.Timestamp x)`

### Methods inherited from class Altibase.jdbc.driver.AltibaseResultSet

`clearWarnings, close, closeResultSetCursor, cursorMoved, findColumn, getArray, getArray, getAsciiStream, getAsciiStream, getBigDecimal, getBigDecimal, getBigDecimal, getBigDecimal, getBinaryStream, getBinaryStream, getBlob, getBlob, getBoolean, getBoolean, getByte, getByte, getBytes, getBytes, getCharacterStream, getCharacterStream, getClob, getClob, getCursorName, getDate, getDate, getDate, getDate, getDouble, getDouble, getExplainPlan, getFetchDirection, getFetchSize, getFloat, getFloat, getHoldability, getInt, getInt, getLong, getLong, getMetaData, getNString, getNString, getObject, getObject, getObject, getObject, getObject, getObject, getRef, getRef, getShort, getShort, getStatement, getString, getString, getTargetColumn, getTargetColumnCount, getTargetColumnInfo, getTime, getTime, getTime, getTime, getTimestamp, getTimestamp, getTimestamp, getTimestamp, getUnicodeStream, getUnicodeStream, getURL, getURL, getWarnings, isClosed, registerTarget, setAllowLobNullSelect, setClosed, setFetchDirection, setFetchSize, throwErrorForClosed, throwErrorForForwardOnly, throwErrorForReadOnly, throwErrorForScrollInsensitive, updateArray, updateArray, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateAsciiStream, updateBigDecimal, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBinaryStream, updateBlob, updateBlob, updateBoolean, updateByte, updateBytes, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateCharacterStream, updateClob, updateClob, updateClob, updateClob, updateDate, updateDouble, updateFloat, updateInt, updateLong, updateNString, updateNull, updateObject, updateObject, updateRef, updateRef, updateShort, updateString, updateTime, updateTimestamp, wasNull`

### Methods inherited from class Altibase.jdbc.driver.AbstractResultSet

`getNCharacterStream, getNCharacterStream, getNClob, getNClob, getRowId, getRowId, getSQLXML, getSQLXML, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNCharacterStream, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateNClob, updateRowId, updateRowId, updateSQLXML, updateSQLXML`

### Methods inherited from class Altibase.jdbc.driver.WrapperAdapter

`isWrapperFor, unwrap`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.sql.ResultSet

`updateObject, updateObject, updateObject, updateObject`

### Methods inherited from interface java.sql.Wrapper

`isWrapperFor, unwrap`

### Constructor Detail

#### AltibaseEmptyResultSet

    public AltibaseEmptyResultSet(AltibaseStatement aStatement,
                                  java.util.List aColumns,
                                  int aResultSetType,
                                  int aResultSetConcurrency)

### Method Detail

#### getTargetColumns

    protected java.util.List<Column> getTargetColumns()

Specified by:
  `getTargetColumns` in class `AltibaseResultSet`
Returns:
  타겟 컬럼맵

#### rowHandle

    protected RowHandle rowHandle()

Fetch한 데이타에 접근하기 위한 handle을 얻는다.

Returns:
  row 데이타에 접근하기 위한 handle

#### next

    public boolean next()
                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### isBeforeFirst

    public boolean isBeforeFirst()
                          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### isAfterLast

    public boolean isAfterLast()
                        throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### isFirst

    public boolean isFirst()
                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### isLast

    public boolean isLast()
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### beforeFirst

    public void beforeFirst()
                     throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### afterLast

    public void afterLast()
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getRow

    public int getRow()
               throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### absolute

    public boolean absolute(int row)
                     throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### previous

    public boolean previous()
                     throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getType

    public int getType()
                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getConcurrency

    public int getConcurrency()
                       throws java.sql.SQLException

Specified by:
  `getConcurrency` in interface `java.sql.ResultSet`
Throws:
  `java.sql.SQLException`

#### refreshRow

    public void refreshRow()
                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### first

    public final boolean first()
                        throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### last

    public final boolean last()
                       throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### relative

    public final boolean relative(int aRows)
                           throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### rowUpdated

    public boolean rowUpdated()
                       throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### rowInserted

    public boolean rowInserted()
                        throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### rowDeleted

    public boolean rowDeleted()
                       throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateNull

    public void updateNull(int columnIndex)
                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateBoolean

    public void updateBoolean(int columnIndex,
                              boolean x)
                       throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateByte

    public void updateByte(int columnIndex,
                           byte x)
                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateShort

    public void updateShort(int columnIndex,
                            short x)
                     throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateInt

    public void updateInt(int columnIndex,
                          int x)
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateLong

    public void updateLong(int columnIndex,
                           long x)
                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateFloat

    public void updateFloat(int columnIndex,
                            float x)
                     throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateDouble

    public void updateDouble(int columnIndex,
                             double x)
                      throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateBigDecimal

    public void updateBigDecimal(int columnIndex,
                                 java.math.BigDecimal x)
                          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateString

    public void updateString(int columnIndex,
                             java.lang.String x)
                      throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateBytes

    public void updateBytes(int columnIndex,
                            byte[] x)
                     throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateDate

    public void updateDate(int columnIndex,
                           java.sql.Date x)
                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateTime

    public void updateTime(int columnIndex,
                           java.sql.Time x)
                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateTimestamp

    public void updateTimestamp(int columnIndex,
                                java.sql.Timestamp x)
                         throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateAsciiStream

    public void updateAsciiStream(int columnIndex,
                                  java.io.InputStream x,
                                  long length)
                           throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateBinaryStream

    public void updateBinaryStream(int columnIndex,
                                   java.io.InputStream x,
                                   long length)
                            throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateCharacterStream

    public void updateCharacterStream(int columnIndex,
                                      java.io.Reader x,
                                      long length)
                               throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateObject

    public void updateObject(int columnIndex,
                             java.lang.Object x,
                             int scale)
                      throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateObject

    public void updateObject(int columnIndex,
                             java.lang.Object x)
                      throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### insertRow

    public void insertRow()
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateRow

    public void updateRow()
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### deleteRow

    public void deleteRow()
                   throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### cancelRowUpdates

    public void cancelRowUpdates()
                          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### moveToInsertRow

    public void moveToInsertRow()
                         throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### moveToCurrentRow

    public void moveToCurrentRow()
                          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateBlob

    public void updateBlob(int columnIndex,
                           java.sql.Blob x)
                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateClob

    public void updateClob(int columnIndex,
                           java.sql.Clob x)
                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateClob

    public void updateClob(int aColumnIndex,
                           java.io.Reader aReader,
                           long aLength)
                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateNString

    public void updateNString(int aColumnIndex,
                              java.lang.String aValue)
                       throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### updateBlob

    public void updateBlob(int aColumnIndex,
                           java.io.InputStream aStream)
                    throws java.sql.SQLException

Specified by:
  `updateBlob` in interface `java.sql.ResultSet`
Overrides:
  `updateBlob` in class `AltibaseResultSet`
Throws:
  `java.sql.SQLException`

#### updateBlob

    public void updateBlob(java.lang.String aColumnName,
                           java.io.InputStream aStream)
                    throws java.sql.SQLException

Specified by:
  `updateBlob` in interface `java.sql.ResultSet`
Overrides:
  `updateBlob` in class `AltibaseResultSet`
Throws:
  `java.sql.SQLException`

#### updateBlob

    public void updateBlob(int aColumnIndex,
                           java.io.InputStream aStream,
                           long aLength)
                    throws java.sql.SQLException

Throws:
  `java.sql.SQLException`